// Измерение температуры
#define B_COEF 3435         
void setup() { Serial.begin(9600); }
void loop() {
  float therm = 1 / ((float)1023 / 
        analogRead(A0) - 1);
  therm = log(therm) / B_COEF;
  therm += (float)1.0 / (298.15);
  therm = (float)1.0 / therm - 273.15;  
  Serial.print(therm);
  Serial.println(" *C");
  delay(1000); // Пауза 1 c
} // Термистор RK1 (10 к при +25 *C)
